osgManipulator Namespace Reference

## Classes

class | AntiSquish
class | MotionCommand
class | TranslateInLineCommand
class | TranslateInPlaneCommand
class | Scale1DCommand
class | Scale2DCommand
class | ScaleUniformCommand
class | Rotate3DCommand
class | CommandManager
class | DraggerCallback
class | Constraint
class | GridConstraint
class | DraggerTransformCallback
class | PointerInfo
class | Dragger
class | CompositeDragger
class | Projector
class | LineProjector
class | PlaneProjector
class | SphereProjector
class | SpherePlaneProjector
class | CylinderProjector
class | CylinderPlaneProjector
class | RotateCylinderDragger
class | RotateSphereDragger
class | Scale1DDragger
class | Scale2DDragger
class | ScaleAxisDragger
class | TabBoxDragger
class | TabBoxTrackballDragger
class | TabPlaneDragger
class | TabPlaneTrackballDragger
class | TrackballDragger
class | Translate1DDragger
class | Translate2DDragger
class | TranslateAxisDragger
class | TranslatePlaneDragger

## Typedefs

typedef osg::MatrixTransform | Selection

## Functions

OSGMANIPULATOR_EXPORT void | computeNodePathToRoot (osg::Node &node, osg::NodePath &np)
void OSGMANIPULATOR_EXPORT | setDrawableToAlwaysCull (osg::Drawable &drawable)
void OSGMANIPULATOR_EXPORT | setMaterialColor (const osg::Vec4 &color, osg::Node &node)

## Detailed Description

The osgManipulator library is a NodeKit that extends the core scene graph to support 3D interactive manipulators.

## Typedef Documentation

## Selection

typedef osg::MatrixTransform osgManipulator::Selection

## Function Documentation

## computeNodePathToRoot()

OSGMANIPULATOR_EXPORT void osgManipulator::computeNodePathToRoot | ( | osg::Node & | node,
|  | osg::NodePath & | np )

extern

Computes the nodepath from the given node all the way up to the root.

References OSGMANIPULATOR_EXPORT.

## setDrawableToAlwaysCull()

void OSGMANIPULATOR_EXPORT osgManipulator::setDrawableToAlwaysCull | ( | osg::Drawable & | drawable | ) |

Culls the drawable all the time. Used by draggers to have invisible geometry around lines and points so that they can be picked. For example, a dragger could have a line with an invisible cylinder around it to enable picking on that line.

References OSGMANIPULATOR_EXPORT.

## setMaterialColor()

void OSGMANIPULATOR_EXPORT osgManipulator::setMaterialColor | ( | const osg::Vec4 & | color,
|  | osg::Node & | node )

Convenience function for setting the material color on a node.

References OSGMANIPULATOR_EXPORT.

Referenced by osgManipulator::RotateCylinderDragger::setColor(), osgManipulator::RotateSphereDragger::setColor(), osgManipulator::Scale1DDragger::setColor(), osgManipulator::Scale2DDragger::setColor(), osgManipulator::Translate1DDragger::setColor(), and osgManipulator::Translate2DDragger::setColor().